Subject: Re: [PATCH 6/8] gitweb: Highlight interesting parts of diff

From: Jakub Narebski <[email-masked]>
Date: Fri, 10 Feb 2012 05:23:10 -0800 (PST)

Michał Kiedrowicz <[email-masked]> writes:

> The code that comares lines is based on
> contrib/diff-highlight/diff-highlight, except that it works with
> multiline changes too.  It also won't highlight lines that are
> completely different because that would only make the output unreadable.
> Combined diffs are not supported but a following commit will change it.

I was thinking that if gitweb were to support "diff refinement
highlighting", it would either use one of *Diff* packages from CPAN,
or "git diff --word-diff" output.
 
-- 
Jakub Narębski